Unexpected segfault in memcmp

The following simple program segfaults for me: #include <string.h> int main() { void* voidp = NULL; char zeroes[sizeof(void*)]; memset(zeroes, 0, sizeof(void*)); int res =...

"undef. ref. to XX" and readelf shows "XX UND"

I'm trying to cross compile usb_modeswitch for mips. The compilation worked successfully but it fails at runtime! # ./usb_modeswitch -W -c zoom_modem_switch ... ./usb_modeswitch: symbol lookup...

How can I force Inline::C to link to an older library?

I'm dealing with a Perl Module that is only compatible with an older version of a shared system library. It just so happens that I have the older version of the library on my system, but I can't...

timer_create causing segmentation fault on i386 system, but not x86_64 system(linux)

I'm having an odd issue with this timer call. It works on my test system (x64), but when I load it into the target system, running i386 linux and compile there, it compiles fine but throws a...

arm dynamic linking

I want to work with libftdi in my ARM project. I build libftdi, all examples works fine. program: #include <stdio.h> int main() { printf("hello world\n"); return...

Fulfilling missing .so file in libftdi

I am using ft232r library provided by ftdi for programming an LPC11C14 micro-controller through Linux Mint. To initialize the software, I need to run the following command: ./ft232r_prog...

To install ia32-libs on debian wheezy amd64

I'm using Debian 7 (wheezy) amd64. uname -a Linux tzwm-debian 3.2.0-4-amd64 #1 SMP Debian 3.2.51-1 x86_64 GNU/Linux And I want to install ia32-libs in my Debian. But this happens when I try to...

I have accidentally removed apt-get and aptitude (Debian 6)

After I have removed libusb-0.1-4 packet, I tried to install a new one when I realized that I have also removed apt-get. [email protected]:~$ sudo apt-get install libusb-1.0-0 sudo: apt-get: command...

GLIBC_2.15 required by python

python manage.py syncdb python: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.15' not found (required by python) python: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found...

install needed shared library debian

XeroxPhaser3100 MFP has only 32-bit drivers. I want to use it with CUPS on my openmediavault (NAS) based on Debian. The OS is 64bit. I install drivers like in this manual...

Linking against libusb on Ubuntu doesn't work

We're trying to compile some code on an Ubuntu box that requires libusb but we keep getting "undefined reference to" errors when it tries to link against it. The code in question is this...

Error in C++ program called from Java using JNI. Getting SEGV_ACCERR

Having trouble calling C++ code from JNI. The code runs in normal C++, but seems to have errors when I try to call it from Java and I think I'm compiling/linking things incorrectly. Can anyone...

pbuilder not building correctly

This is my first time packaging a debian package so i might be doing something wrong but I've followed the guidelines and after running "pbuilder create" it goes through the process of...

GNURadio libusb error using PyBombs

I am attempting to install GNURadio using PyBombs on Ubuntu 14.04. I am following the quickstart steps found at https://github.com/gnuradio/pybombs/ During the build I get the following...

Using LibUsbDotNet for ASP.NET Core application running under Linux - libusb-1.0 library not found

I've developed an ASP.NET Core application that involves communicating with a USB device. It uses version 2.2.8-r101 of the CoreCompat.LibUsbDotNet library for this, which is a port of...

Cross-platform USB communication using ASP.NET Core

Overview I've ported a web application to .NET Core and I'm finding that it's able to communicate with a microcontroller over USB when running on Windows but not when running on Linux. I'm trying...

Raspberry pi, libarmmem.so (cannot open shared object file) error

I'm using my Pi as a file server, recently when I logged in I saw a error message stating that libarmmem.so (cannot open shared object file), and despite some suggestions to run apt-get update +...

Notify2 works from Python3 IDLE but not always in terminal

I have been fighting with this code for days to get it to display notifications on a Raspbian Jessie desktop. I have tried Notify, notify2, and notify-send and they all work from IDLE but not from...

How to fix broken apt-get on debian wheezy?

I'm using a debian wheezy at work. Packages are held in specific versions. My /etc/apt/sources.list contains lines like : deb http://mycompany.com/debian/debian-main/ wheezy main non-free...

Llattice diamond programmer-tool

install Lattice Diamond 3.10 on my computer with Manjaro 17.1 and everything works correctly just because of a problem. The programming tool does not work, when I try to execute it I get a window...

shared libraries not found while running the executable, even the shared library exists in the specified path

I am trying to run an executable in Ubuntu 16.04. but it is giving me below error. error while loading shared libraries: libswscale.so.3: cannot open shared object file: No such file or directory ...

libusb is in the path but the linker doesn't find it

Usually when the linker doesn't find a library that actually exists in the path it's because some binary incompatibilities (i.e. about 32/64 bit). In my situation it seems different and I didn't...

hidapi vs libusb for Linux

Writing some C code for USB mouse. More specifically writing configuration and information to mouse like poll, sensitivity, button actions, colors (light), tactile alters, OLED etc. Started out...

Docker OpenGL support without GPU, gl error: linking with uncompiled/unspecialized shader

In order to build up a headless simulation cluster, we're working on containerization of our existing tools. Right now, the accessible server does not have any NVIDIA GPUs. One problem, that we...

Is it possible to obtain USB device node (file) with Python (PyUSB)?

I am trying to find a way to iterate over all USB devices on a Raspberry Pi, and print out Vendor ID, Product ID, manufacturer name, and device node; via posts...

configure: error: Need pkg-config to enable libusb support

I'm new to yocto, my goal is to add a printer driver to the yocto image of imx6 so that we can access the priter from the board. i was trying a build, following the instructions at...